> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/core/get-started/faq/viewer-showing-network-failure.md).

# Why is the viewer showing "Network Failure"?

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

This error likely means the initial document does not exist (we may have updated the SDK package). Try setting `initialDoc` to something like `https://pdftron.s3.amazonaws.com/downloads/pl/demo-annotated.pdf`

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
WebViewer({
  path: '../../../lib',
  initialDoc: 'https://pdftron.s3.amazonaws.com/downloads/pl/demo-annotated.pdf'
}, document.getElementById('viewer'))
.then(function(instance) {
  // load the PDF from URL, Blob, Filesystem or Base64 data
  instance.loadDocument(e.target.value);
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

which is a demo document online, or to another local PDF file on your system within the root directory tree for the project.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/core/get-started/faq/viewer-showing-network-failure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
